# Support Tools Integration

To debug support tickets effortlessly, all you have to do is extract the session URL from Luciq and send it as a custom attribute to your preferred support tools. This enables your support team to view Session Replays for every reported issue to help debug the issue. You can use the below API to extract the session URL.

{% tabs %}
{% tab title="Dart" %}

```dart
SessionReplay.getSessionReplayLink();
```

{% endtab %}
{% endtabs %}

#### Intercom Example

To automatically include the Session URL with each support ticket received via Intercom, simply integrate the following code snippet into your application. This will send the session URL to the recent events section.

{% tabs %}
{% tab title="Dart" %}

```dart
 final result = await SessionReplay.getSessionReplayLink();
    if (result != null) {
      await Intercom.instance.loginUnidentifiedUser();
      await Intercom.instance.logEvent('session-replay-url', {"url": result});
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/flutter/setup-luciq-for-flutter/setup-session-replay/support-tools-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
